/**
 * @file linkpull_migration.h
 *
 * @brief LinkPull migration algorithm (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: linkpull_migration.h 2684 2008-06-25 15:44:33Z wittenbu $
 */

#ifndef LINKPULL_MIGRATION_H
#define LINKPULL_MIGRATION_H

#include "../../types.h"
#include "../../service/service_types.h"
#include "../placement_types.h"

void linkpull_migration_start(SERVICE_service_t* service);
void linkpull_migration_stop(SERVICE_service_t* service);
void linkpull_migration_trigger(SERVICE_service_t* service);

#endif	// LINKPULL_MIGRATION_H
