/**
 * @file graphs_vars.h
 *
 * @brief Network graphs (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: graphs_vars.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef GRAPHS_VARS_H
#define GRAPHS_VARS_H

#include "../types.h"
#include "graphs_types.h"



/**
 * @brief Currently active graph constructions.
 */
list_t* C_GRAPHS_active_constructions;

/**
 * @brief Pointer to local measurement data.
 */
GRAPHS_local_data_t* C_GRAPHS_local_data;

#endif	// GRAPHS_VARS_H
