/**
 * @file interface_internal.h
 *
 * @brief Service Placement interface (internal header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: interface_internal.h 2685 2008-06-25 16:38:56Z wittenbu $
 */

#ifndef INTERFACE_INTERNAL_H
#define INTERFACE_INTERNAL_H

#include "types.h"

void C_handle_packet(const packet_header_t* header, const void* payload, bool maybe_duplicate);
size_t C_max_payload_size();
void C_printf(const char *format, ...);

#endif	// INTERFACE_INTERNAL_H
